/*

	GOALS

	1. select the special div
	2. change the text inside of it
	3. style it dynamically (a.k.a. change its appearance using JS)
	4. do steps 1–3 but at scale and with variety

*/

// wait for all the content to load, then run our script
// we do this because we need the HTML to be fully rendered in order to manipulate it via javascript
window.onload = function(){

	// just for fun. more info here: https://developers.google.com/web/tools/chrome-devtools/console/console-write#styling_console_output_with_css
	var consoleStyles = 'background:lime; font-family:sans-serif; font-size:30px;';
	// make sure things are working
	console.log( '%cHello!', consoleStyles );

	// --> 1. select the special div
	// search the document for an element whose ID is "special-div", etc.
	// store that element in a variable
	var specialDiv = document.getElementById('special-div');
	var xtraSpecialDiv = document.getElementById('extra-special-div');

	console.log( specialDiv );
	console.log( xtraSpecialDiv );

	// --> 2. change the text inside of it
	specialDiv.innerText = "New text!";

	// --> 3. style it dynamically
	specialDiv.style.border = "solid red 1px";

	// --> 4. do steps 1–3 but at scale and with variety
	manipulateObject( 10, "New text!", xtraSpecialDiv );

} // end of onload


function manipulateObject( number, input, object ) {
	
	// just for fun. adjust this number and see what happens.
	var magicNumber = number * 10;

	// remove all content from inside the object by setting innerHTML as an empty string
	// --> try removing this line of code. save, refresh, and see what happens
	object.innerHTML = "";

	for ( var i=0; i<= number; i++) {

		// build the HTML we want to put inside the object
		// <p style='background:hsl([hue],[saturation]%,[lightness]%); width:[size]px; height:[size]px'>[new text]</p>
		object.innerHTML += "<div style='background:hsl("+magicNumber+",100%,50%); width:"+magicNumber+"px; height:"+magicNumber/(number/2)+"px;'>"+magicNumber+" "+input+"</div>";
		
		// increase our magic number
		magicNumber += number * 10;

	} // end loop

} // end manipulateObject()













